Subject: [bug#70995] [PATCH v3 0/2] Update python-debugpy.

From: Nicolas Graves <[email-masked]>
Date: Sat, 15 Jun 2024 17:26:49 +0200

On 2024-06-15 16:41, Nicolas Graves via Guix-patches via wrote:

> On 2024-06-11 11:42, Christopher Baines wrote:
>
>> Nicolas Graves via Guix-patches via <[email-masked]> writes:
>>
>>> Nicolas Graves (2):
>>>   gnu: python-debugpy: Move to pyproject-build-system.
>>>   gnu: python-debugpy: Update to 1.8.0.
>>>
>>>  .../python-debugpy-unbundle-pydevd.patch      | 318 +++++++++++-------
>>>  gnu/packages/python-xyz.scm                   |  32 +-
>>>  2 files changed, 212 insertions(+), 138 deletions(-)
>>
>> From looking at QA, it seems like this change might break
>> python-ipykernel, any ideas?
>
> I'm not sure it breaks, QA is not available anymore and I can build it
> without any issues on my side. I've probably forgotten to block this
> patch by the pydevd update though, will do.
>
> Should I submit again after this?
>
> IIRC, the merging order for the extend work around this is
> 70393/71037/70995.

In fact, it is properly blocked, and I don't see any issue locally with
python-ipykernel. This looks good for a review to me. I'll submit again
to give it another go with QA.

-- 
Best regards,
Nicolas Graves